GET /api/products/:id
Get product metadata by product ID

Consult product response schema for resonse details and examples.

Params

Param name Description
id
required

Product ID

Validations:

  • Must be a number.

include
optional

Optional product relations to include in the response, comma-separated.

Headers

Header name Description
Accept
required
application/vnd.api+json; com.pixelsquid.api.version=1
Authorization
required
Base64 encoding of [key_id]:[secret]

For example:
Basic REVWRUxPUEVSX1BBQ0s6cGl4ZWxzcXVpZHNhbXBsZQ==

The following sample api key may be used for development purposes only:

key_id: DEVELOPER_PACK
secret: pixelsquidsample

X-Client-External-User-ID
optional
You may pass this header to associate any api requests
with the unique identifier of the end user.

GET /api/products
Product Search

Params

Param name Description
sort
optional

Sort order

Validations:

  • Must be a String

filter
optional

Filter conditions

Validations:

  • Must be a Hash

filter[query]
optional

Search terms

Validations:

  • Must be a String

filter[name]
optional

Filter by product name

Validations:

  • Must be a String

filter[tags]
optional

Filter by product tag

Validations:

  • Must be a String

filter[collection_ids]
optional

Filter by collection ID.

Validations:

  • Must be IntegerArray.

filter[created_at]
optional

Field can be a hash or a single value (see below)

Validations:

  • Must be a Hash

filter[created_at][gt]
optional

Field is strictly newer than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[created_at][gte]
optional

Field is newer than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[created_at][lt]
optional

Field is strictly older than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[created_at][lte]
optional

Field is older than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[created_at]
optional

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[updated_at]
optional

Field can be a hash or a single value (see below)

Validations:

  • Must be a Hash

filter[updated_at][gt]
optional

Field is strictly newer than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[updated_at][gte]
optional

Field is newer than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[updated_at][lt]
optional

Field is strictly older than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[updated_at][lte]
optional

Field is older than specified value

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

filter[updated_at]
optional

Validations:

  • Must be a string formatted as a valid Date (2020-05-07) or ISO-8601 DateTime (2020-07-02T11:00:00)

page
optional

Pagination options

Validations:

  • Must be a Hash

page[number]
optional

Page number to return from paginated collection

Validations:

  • Must be a number.

page[size]
optional

Results per page to return

Validations:

  • Must be a number.

Headers

Header name Description
Accept
required
application/vnd.api+json; com.pixelsquid.api.version=1
Authorization
required
Base64 encoding of [key_id]:[secret]

For example:
Basic REVWRUxPUEVSX1BBQ0s6cGl4ZWxzcXVpZHNhbXBsZQ==

The following sample api key may be used for development purposes only:

key_id: DEVELOPER_PACK
secret: pixelsquidsample

X-Client-External-User-ID
optional
You may pass this header to associate any api requests
with the unique identifier of the end user.